Subject: Re: [RFC/PATCH 4/4] Add support for MSI on Axon-based Cell systems

From: Jean-Christophe Dubois <[email-masked]>
Date: Thu, 7 Jun 2007 14:00:32 +0200

On Thursday 07 June 2007 13:55:41 Benjamin Herrenschmidt wrote:
> On Thu, 2007-06-07 at 10:10 +0200, Jean-Christophe Dubois wrote:
> > The CAB (or other derived products) can be set in RC mode (via a jumper).
> > In this case the MSI could be supported.
>
> Is there any plan to have CABs based on AXON DD >= 2.0

Sure, There are several at Mercury (based on Axon 2.1) and I have one. And I 
believe it will be based on Axon 3.0 when available.

> I still think the right approach is to have the right properties set by
> the firmware if the Axon version supports MSIs reliably. Do you see any
> problem with this approach ?

Once again SLOF firmware is out of my influence realm. I work with what IBM is 
delivering for CAB ... So if the firmware has some deficiencies I must make 
sure we can work around them.

JC

> Ben.